import * as webpack from 'webpack';
import { Logger } from 'winston';
import { IConfig } from './config.js';
export declare const generateBabelConfig: (shitSupport: boolean, env: 'production' | 'development') => Promise<{
    presets: (string | {
        targets: string;
        modules: boolean;
        useBuiltIns: string;
        corejs: number;
        shippedProposals?: undefined;
    } | {
        targets: {
            browsers: string;
            node: string;
        };
        shippedProposals: boolean;
        modules: boolean;
        useBuiltIns?: undefined;
        corejs?: undefined;
    })[][];
    plugins: any[];
    babelrc: boolean;
}>;
export default function mkConfig(logger: Logger, targetName: string, env: 'development' | 'production', projectBaseDir: string, outputDirPath: string, config: IConfig): Promise<webpack.Configuration>;
