import * as t from 'io-ts';
export declare function withDefault<T extends t.Mixed>(type: T, defaultValue: t.TypeOf<T>): t.Type<t.TypeOf<T>, t.TypeOf<T>, unknown>;
export declare const Config: t.IntersectionC<[t.TypeC<{
    for: t.UnionC<[t.LiteralC<"web">, t.LiteralC<"webworker">, t.LiteralC<"node">]>;
    entrypoint: t.StringC;
}>, t.PartialC<{
    entrypoints: t.RecordC<t.StringC, t.ArrayC<t.StringC>>;
    quirks: t.Type<{
        oldBrowser?: boolean | undefined;
        singleChunk?: boolean | undefined;
        skipTerser?: boolean | undefined;
        packer?: boolean | undefined;
        moduleAliases?: {
            [x: string]: string;
        } | undefined;
    }, {
        oldBrowser?: boolean | undefined;
        singleChunk?: boolean | undefined;
        skipTerser?: boolean | undefined;
        packer?: boolean | undefined;
        moduleAliases?: {
            [x: string]: string;
        } | undefined;
    }, unknown>;
    modifiers: t.UnionC<[t.UndefinedC, t.ArrayC<t.AnyC>]>;
}>]>;
export type IConfig = t.TypeOf<typeof Config>;
